{
  "parser": "@typescript-eslint/parser",
  "plugins": ["@typescript-eslint"],
  "extends": ["plugin:@typescript-eslint/recommended"],
  "rules": {
    "@typescript-eslint/no-inferrable-types": ["off"],
    "@typescript-eslint/member-delimiter-style": ["error", {
      "multiline": {
        "delimiter": "comma",
        "requireLast": true
      },
      "singleline": {
        "delimiter": "comma",
        "requireLast": false
      },
      "overrides": {
          "interface": {
              "multiline": {
                  "delimiter": "semi",
                  "requireLast": true
              }
          }
      }
    }],
    "@typescript-eslint/no-empty-interface": ["error", {
        "allowSingleExtends": true
      }
    ],
    "quotes": ["error", "single"],
    "max-len": ["warn", {
      "code": 120,
      "tabWidth": 2
    }],
    "indent": ["error", 2],
    "semi": ["error"]
  }
}
